%Eulerjeva integracijska metoda - INTEG.M
function[cas,yy]=INTEG(y,par,krm)

%cas	casovni vektor
%yy	    rezultati
%par	parametri modela
%krm	krmilni parametri simulacije
%krm(1) dolzina sim. teka
%krm(2) racunski korak
i=1;

%simulacijska zanka
for t=0:krm(2):krm(1);
	 
	%  izracun odvodov
		yp=DERIV(t,y,par);

	%  prikaz rezultatov med sim. tekom
		[izh]= OUTPUT(t,y);
 
	%  shranjevanje rezultatov
		yy(i,:)=y;
		cas(i)=t;

   	%  integracija po enokoracni EULER-jevi metodi
    %  (izracun stanj za naslednji ra. korak)

		y=y+yp*krm(2);
        i=i+1;
		
end