% Produce a state portrait for the SIMULINK model sysmdl_e
%
for x1 = -1:0.5:1
  for x2 = -1:0.5:1
    opts = simset('InitialState',[x1,x2]) ;
    [t,x,y] = sim('sysmdl_e',15,opts) ;
    hold on ;
    plot(x(:,1),x(:,2)) ;
  end
end
axis([-1.5,1,-1,1]);
xlabel('x1') ;
ylabel('x2') ;
grid ;
