% Run the inverted pendulum simulation
opts = simset('InitialState',[0,0,0,0,0],'Solver','ode45') ;
[t,x] = sim('sysmdl_i',[0:0.1:10],opts) ;

% Plot the position and pendulum angle
subplot(2,1,1);
plot(t,x(:,1));
grid;
ylabel('x');
subplot(2,1,2);
plot(t,x(:,4));
grid;
xlabel('Time (sec)') ;
ylabel('theta');


