% Set the parameters for the rotating pendulum.
% Verify the ordering of the states.
% System parameters
l = 0.3 ;            % Pendulum length (meters)
I_m = 0.75 ;         % Motor moment of inertia (kilograms*meters^2)
g = 9.8 ;            % Gravity (meters/sec^2)
m = 0.2 ;            % Pendulum bob mass (kg)
[sizes,x0,states]=sysmdl_k([],[],[],0) ;
states 

