/* *****************************************************/
/*                        s_tpl                        */
/* This template illustrates the structure of a        */
/* C S-Function file                                   */
/* Based on MathWorks template file                    */
/* Copyright (c) 1990-96 by The MathWorks, Inc.        */
/* All Rights Reserved                                 */
/* *****************************************************/


#define S_FUNCTION_NAME s_tpl

#include "simstruc.h"
#include "math.h"

static void mdlInitializeSizes(SimStruct *S)
{

   /* Use ssSet macros to intialize the sizes struct   */
}

static void mdlInitializeSampleTimes(SimStruct *S)
{
   /* Use ssSet macros to initialize sample times and  */
   /* offsets                                          */
}

static void mdlInitializeConditions(double *x0,
                                    SimStruct *S)
{
   /* Set the initial conditions of the S-Function     */
   /* vector, pointed to by x0                         */
}

static void mdlOutputs(double *y, double *x, double *u,
                       SimStruct *S, int tid)
{
   /* Compute the output vector, pointed to by y       */
}

static void mdlUpdate(double *x, double *u, SimStruct *S,
                      int tid)
{
   /* Update the discrete states                       */
}

static void mdlDerivatives(double *dx, double *x,
                           double *u,  SimStruct *S,
                           int tid)
{
   /* Compute the derivatives of continuous states,   */
   /* pointed to by dx                                */
}

static void mdlTerminate(SimStruct *S)
{
   /* Perform any end-of-simulation tasks              */
}


#ifdef	MATLAB_MEX_FILE 
#include "simulink.c"  
#else
#include "cg_sfun.h"   
#endif
