%Modeliranje in simulacije, 2.vaja
%1.
nicla=-6
poli=[-1 -3 -4]
k=2
pr_f_zpk=zpk(nicla,poli,k)
pr_f_tf=tf(pr_f_zpk)
pr_f_ss=ss(pr_f_zpk)
pause

figure(1);
step(pr_f_zpk,6);
hold on;
step(pr_f_tf,6);
step(pr_f_ss,6);
hold off;
pause

p=pole(pr_f_tf)
z=zero(pr_f_tf)
figure(2);
pzmap(pr_f_tf);

pause
%2.
regulator=tf([0.2 2],1)
pr_1=zpk([],[0 -1],1)
pr_2=zpk([],[-3 -4],2)

pr=parallel(pr_1,pr_2)
dir_vej=series(regulator,pr)
reg_sys=feedback(dir_vej,1,-1)

figure(3);
step(reg_sys,10);

figure(4);
[t,stanja,odziv]=sim('basic_control1',10);
plot(t,odziv);
pause
%3.
tfinal=15;
f=0.2;
t=0:0.1:tfinal;
u=2*sin(2*pi*f*t);

[y1,t,x1]=lsim(pr_f_zpk,u,t);
[y2,t,x2]=lsim(reg_sys,u,t);
figure(5);
plot(t,u,t,y1,t,y2);

pause
%4.
syms s
Gs=2*(s+6)/(s*(s+1)*(s+3)*(s+4))
yy=ilaplace(Gs)
figure(6);
ezplot(yy,[0 6]);

