function f = cf(k)
% System parameters used by SIMULINK model
t0 = 0 ;    % Start time
tf = 400 ;   % End time
opts=simset('SrcWorkspace','current') ;   % Set to use current workspace
opts=simset(opts,'DstWorkspace','current') ;
[t,x,y] = sim('hydro_casc',[t0,tf],opts) ;  % Get the trajectory
[nt,nx]=size(x);
f=y(nt);
