% Locate the two equilibrium points for the system
% sysmdl_l. Linearize the system about each equilibrium,
% then compute the eigenvalues at each equilibrium.
xa = trim('sysmdl_l',[-1;-2]) ;  % Locate the equilibrium
[A,B,C,D] = linmod('sysmdl_l',xa) ;
eigv_a = eig(A) ;
fprintf('Eigenvalues at (%f,%f):\n',xa) ;
eigv_a
xb = trim('sysmdl_l',[1;2]) ;  % Locate the other equilibrium
[A,B,C,D] = linmod('sysmdl_l',xb) ;
eigv_b = eig(A) ;
fprintf('Eigenvalues at (%f,%f):\n',xb) ;
eigv_b
