%4.3
clear;
hold on;


for dt=2:2:20;			% rac. korak
    Tmax=200;		%cas sim. teka
imax=Tmax/dt;

%zacetna stanja
y=0;
y1=0;
y2=0;

%parametri modela
k1=10;
k2=0.5;
k3=0.5;
T1=10;
T2=20;
T3=20;

%simulacijska zanka
for i=1:1:round(imax)

   % 1. izracun odvodov - DERIV
	p=1;		%vhodni signal	
	y1p=k1/T1*p-1/T1*y1;
	y2p=k2/T2*y1-1/T2*y2;
	yp=k3/T3*y2-1/T3*y;

   % 2.Prikaz rezultatov
   %   shranjevanje v vektorje za kasnejsi prikaz
	cas(i)=(i-1)*dt
	yy(i,1)=y1;
	yy(i,2)=y2;
	yy(i,3)=y;

    % 3. Integracija po enokoracni EULER-jevi metodi
	y=y+yp*dt;
	y2=y2+y2p*dt;
	y1=y1+y1p*dt;

end
plot (cas,yy(:,3));

pause;
%izracun odziva s pomocjo funkcije STEP - natancen rezultat
num =[0   0      0       0.000625];
den = [1  0.2   0.0125   0.00025];
Gs=tf(num,den);
yyy=step(Gs,cas);
plot (cas,yyy);
error(dt)=max(abs(yy(:,3)-yyy));
clear cas;
clear yy;
end
figure(2);
plot(error);
hold on;
plot(0.1*ones(1,20));

